Bug 231778 - lang/guile2: fix build with powerpc64
Summary: lang/guile2: fix build with powerpc64
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Only Me
Assignee: Muhammad Moinur Rahman
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2018-09-28 12:10 UTC by Piotr Kubaj
Modified: 2018-10-28 08:41 UTC (History)
3 users (show)

See Also:
bugzilla: maintainer-feedback? (bofh)


Attachments
patch (739 bytes, patch)
2018-09-28 12:10 UTC, Piotr Kubaj
no flags Details | Diff
Fix PPC64 (1.24 KB, patch)
2018-09-29 13:43 UTC, Nathan
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Piotr Kubaj freebsd_committer 2018-09-28 12:10:44 UTC
Created attachment 197565 [details]
patch

powerpc64 needs USES=compiler:c11 to build this port.

Tested with amd64 and powerpc64.

Hardware sponsored by IntegriCloud.
Comment 1 Nathan 2018-09-29 04:28:01 UTC

Hold off on this one for now, compiler: breaks mips
Comment 2 Nathan 2018-09-29 13:43:35 UTC
Created attachment 197595 [details]
Fix PPC64

This patch should fix powerpc64, while not breaking mips-based archs
Comment 3 Piotr Kubaj freebsd_committer 2018-09-29 18:55:39 UTC
(In reply to Nathan from comment #2)
Yes, this patch works as well.
Comment 4 commit-hook freebsd_committer 2018-10-28 08:41:28 UTC
A commit references this bug:

Author: linimon
Date: Sun Oct 28 08:40:28 UTC 2018
New revision: 483240
URL: https://svnweb.freebsd.org/changeset/ports/483240

Log:
  Fix powerpc64 build.  Correct license information.

  PR:		231778
  Submitted by:	Piotr Kubaj
  Reviewed by:	ndowens at yahoo dot com
  Approved by:	portmgr (tier-2 blanket)

Changes:
  head/lang/guile2/Makefile